Skip to main content
POST
Create translation

Authorizations

Authorization
string
header
required

Your secret key: Authorization: Bearer namu_sk_.... Create one at https://www.namuai-lab.com/account/keys.

Query Parameters

include_audio
enum<string>

1, true or yes to add the spoken translation (base64 WAV) to the answer.

Available options:
1,
true,
yes
source
enum<string>

Only when the audio is the raw body. ha Hausa or fr French. The source defaults to the other language from the target.

Available options:
ha,
fr
target
enum<string>

Only when the audio is the raw body. ha Hausa or fr French. The source defaults to the other language from the target.

Available options:
ha,
fr

Body

text
string
required

The text to translate. Up to 2,000 characters.

Maximum string length: 2000
source
enum<string>

ha Hausa or fr French. The source defaults to the other language from the target.

Available options:
ha,
fr
target
enum<string>
default:fr

The language to translate into.

Available options:
ha,
fr
include_audio
boolean

Also return the translation spoken (base64 WAV).

Response

The translation. characters for text, audio_seconds for speech.

model
string
Example:

"translation"

source
string
Example:

"ha"

target
string
Example:

"fr"

source_text
string

The text sent, or what was heard in the audio.

text
string

The translation.

characters
integer

Text requests: characters translated.

audio_seconds
number

Audio requests: length of the audio sent.

audio
string | null

The translation spoken, base64 WAV, when asked for.